Summary: Class Library for High Energy Physics
Name: clhep
Version: 2.1.4.1
Release: 10.9%{?dist}2a
License: GPL
Vendor: JLC
Group: System Environment/Libraries
Source: http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/tarFiles/clhep-%{version}.tgz
Patch0: clhep-2.1.2.5-clhep-config.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /opt/clhep/%{version}

%description

Class Library for High Energy Physics.
If you are high energy phisicist, you should install this
library.

%prep
%setup -n %{version}
export PATH=$PATH:%{_bindir}
#%patch0 -p1 -b .macosx
%ifos darwin
(cd CLHEP
./bootstrap
for i in `find . -name configure`; do
  (cd `dirname $i`;
   mv configure configure.soname;
   sed -e 's;-install_name,;-install_name,%{prefix}/lib/;' configure.soname > configure;
   chmod 755 configure)
done
)
%endif

%build
cd CLHEP
./configure --prefix=%{prefix}
make CXXFLAGS='-O0 -fsigned-char -fno-common'

%install
cd CLHEP
rm -rf %{_tmppath}/%{name}-root
make install CXXFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT

(cd $RPM_BUILD_ROOT%{prefix}/lib
ln -s libCLHEP-%{version}.dylib libCLHEP.dylib
)

make docs
make install-docs DESTDIR=`pwd`
mv .%{prefix}/doc ..
cp ChangeLog ..
cp INSTALL ..
cp README ..


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog INSTALL README doc
%{prefix}/bin/*
%{prefix}/include/CLHEP
%{prefix}/lib/*

%changelog
* Sun Dec 01 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.4.1-10.9hepx2a
- 2nd release of version 2.1.4.1 on MacOSX 10.9
- changed installation directory

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.4.1-10.9hepx1a
- 1st release of version 2.1.4.1 on MacOSX 10.9

* Thu Nov 01 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.2.5-10.7hepx1c
- 3rd release of version 2.1.2.5 on MacOSX 10.7
- improved patch to clhep-config 

* Wed Oct 31 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.2.5-10.7hepx1b
- 2nd release of version 2.1.2.5 on MacOSX 10.7
- added patch to clhep-config 

* Wed Oct 31 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.2.5-10.7hepx1a
- 1st release of version 2.1.2.5 on MacOSX 10.7
- now built for x86_64

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.2.2-10.7hepx1a
- 1st release of version 2.1.2.2 on MacOSX 10.7
- now built for x86_64

* Sun Sep 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.1.0-10.6hepx1a
- 1st release of version 2.1.1.0 on MacOSX 10.6 for Intel Macs
- built with gcc4.5.1 and with libstdc++.dylib

* Tue Jan 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 2.1.0.1-10.6hepx1a
- 1st release of version 2.1.0.1 on MacOSX 10.6 for Intel Macs
- built with gcc4.5.1 and with libstdc++.dylib

* Sat Nov 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.6-10.6hepx1c
- 3rd release of version 2.0.4.6 on MacOSX 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.6-10.6hepx1b
- 2nd release of version 2.0.4.6 on MacOSX 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Sat May 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.6-10.6hepx1a
- 1st release of version 2.0.4.6 on MacOSX 10.6 for Intel Macs

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.5-10.6hepx1a
- 1st release of version 2.0.4.5 on MacOSX 10.6 for Intel Macs

* Thu Jan 15 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.2-10.5hepx1a
- 1st release of version 2.0.4.2 on MacOSX 10.5 for Intel Macs

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.4.0-10.5hepx1a
- 1st release of version 2.0.4.0 on MacOSX 10.5 for Intel Macs

* Thu Jul 3 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.3-10.5hepx1a
- 1st release of version 2.0.3.3 on MacOSX 10.5 for Intel Macs

* Fri Mar 21 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.2-10.5hepx1c
- 3rd release of version 2.0.3.2 on MacOSX 10.5 for Intel Macs
- full path for install_name
- compiled with Apple's gcc

* Fri Mar 21 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.2-10.5hepx1b
- 2nd release of version 2.0.3.2 on MacOSX 10.5 for Intel Macs
- full path for install_name

* Thu Mar 20 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.2-10.5hepx1a
- 1st release of version 2.0.3.2 on MacOSX 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.1-1c
- 3rd release of version 2.0.3.1 on MacOSX 10.4 for Intel Macs

* Wed Feb 28 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.1-1b
- 2nd release of version 2.0.3.1 on MacOSX 10.4 for Intel Macs
- added stdhep patch to build HepPDT, HepMC, and StdHep

* Wed Feb 28 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.1-1a
- 1st release of version 2.0.3.1 on MacOSX 10.4 for Intel Macs

* Sat Oct 07 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.2.3-1a
- 1st release of version 2.0.2.3 on MacOSX 10.4 for Intel Macs

* Tue Dec 20 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.2.2-1a
- 1st release of version 2.0.2.2 on MacOSX 10.4

* Mon Oct  3 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.9.2.1-1a
- 1st release on MacOSX 10.4

* Sun Dec 26 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.9.1.2-1a
- 1st release on MacOSX 10.3

* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.8.2.0-1a
- 1st release on MacOSX 10.3

* Thu Oct 03 2002 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X 10.2
- Use -O0 for darwin

* Sat Jun 29 2002 Kotoyo Hoshina <hoshina@post.kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X
- Use -O0 for darwin

* Mon Dec 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2nd clhep rpm of version 1.7.0.0 on MacOS X
- Use -O0 for darwin

* Fri Nov 9 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st clhep rpm of version 1.7.0.0 on MacOS X

* Fri Apr 13 2001 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0 on MacOS X

* Fri Jul 21 2000 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0

